OpenNMS API 1.2.9

## org.opennms.netmgt.poller.monitors
Class DhcpMonitor

    java.lang.Object
      org.opennms.netmgt.poller.monitors.IPv4LatencyMonitor
          org.opennms.netmgt.poller.monitors.DhcpMonitor

All Implemented Interfaces:
  ServiceMonitor

public final class DhcpMonitor
extends IPv4LatencyMonitor

This class is designed to be used by the service poller framework to test the availability of the DHCP service on remote interfaces as defined by RFC 2131. This class relies on the DHCP API provided by JDHCP v1.1.1 (please refer to http://www.dhcp.org/javadhcp ). The class implements the ServiceMonitor interface that allows it to be used along with other plug-ins by the service poller framework.

Author:
  Tarus Balog , OpenNMS

Field Summary
`private static int` `DEFAULT_RETRY` Default retries.
`private static int` `DEFAULT_TIMEOUT` Default timeout.

Fields inherited from class org.opennms.netmgt.poller.monitors.IPv4LatencyMonitor
`DS_NAME`

Fields inherited from interface org.opennms.netmgt.poller.monitors.ServiceMonitor
`SERVICE_AVAILABLE, SERVICE_STATUS_MASK, SERVICE_UNAVAILABLE, SERVICE_UNKNOWN, SERVICE_UNRESPONSIVE, SURPRESS_EVENT_MASK`

Constructor Summary
`DhcpMonitor()`

Method Summary
`int` `poll(NetworkInterface iface, java.util.Map parameters, Package pkg)` Poll the specified address for DHCP service availability.

Methods inherited from class org.opennms.netmgt.poller.monitors.IPv4LatencyMonitor
`createRRD, initialize, initialize, release, release, updateRRD`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_RETRY

    private static final int DEFAULT_RETRY

  Default retries.

  See Also:
    Constant Field Values

### DEFAULT_TIMEOUT

    private static final int DEFAULT_TIMEOUT

  Default timeout. Specifies how long (in milliseconds) to block waiting for data from the monitored interface.

  See Also:
    Constant Field Values

Constructor Detail

### DhcpMonitor

    public DhcpMonitor()

Method Detail

### poll

    public int poll(NetworkInterface iface,
                    java.util.Map parameters,
                    Package pkg)

  Poll the specified address for DHCP service availability.

  Parameters:
    `iface` - The network interface to test the service on.
    `parameters` - The package parameters (timeout, retry, etc...) to be used for this poll.
  Returns:
    The availability of the interface and if a transition event should be supressed.
  See Also:
    `ServiceMonitor.SURPRESS_EVENT_MASK`, `ServiceMonitor.SERVICE_AVAILABLE`, `ServiceMonitor.SERVICE_UNAVAILABLE`

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.